summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/legacy
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-25 13:59:36 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2012-02-06 11:09:26 +0530
commit9d36eca70a458c736e44fd8eb9184415ec45f1e6 (patch)
treef996594e813e6e4bce6fe77c31c8fe4758b2647d /sanity/system_light/legacy
parent01a77a1ae18d9add01f893e06e58191b065602e8 (diff)
system_light: changes to have modularity in running tests
Till now this script allowed running all the tools (or exit for the first failure). Running individual tools was not possible. Now individual tools can be given as an argument to run. Change-Id: Ia133943667ad4dc30956f4a021f2edfc30458cee Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'sanity/system_light/legacy')
-rwxr-xr-xsanity/system_light/legacy/lmbench_test.sh7
-rwxr-xr-xsanity/system_light/legacy/mmapstress.sh83
2 files changed, 90 insertions, 0 deletions
diff --git a/sanity/system_light/legacy/lmbench_test.sh b/sanity/system_light/legacy/lmbench_test.sh
new file mode 100755
index 0000000..30c5f6d
--- /dev/null
+++ b/sanity/system_light/legacy/lmbench_test.sh
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+#(time sudo lmbench-run) 2>> $LOG_FILE #Used for perrformance testing such as hardware,OS,development etc.
+
+cp -r $SRC_DIR $GF_MP
+cd $LM_DIR
+(time make results) 2>> $LOG_FILE \ No newline at end of file
diff --git a/sanity/system_light/legacy/mmapstress.sh b/sanity/system_light/legacy/mmapstress.sh
new file mode 100755
index 0000000..bfcb206
--- /dev/null
+++ b/sanity/system_light/legacy/mmapstress.sh
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+echo "Executing $MMAP_DIR/mmapstress/mmapstress01.sh"
+#cp $LTP_DIR/fs_perms/fs_perms.sh .
+time $MMAP_DIR/mmapstress/mmapstress01 -p $MMAP_PROC -t $MMAP_TIME -f $MMAP_FILE_SIZE -r -o -l -m -d 2>>$LOG_FILE 1>>$LOG_FILE
+
+if [ $? -eq 0 ]; then
+ let PASS=$PASS+1
+ echo $PASS
+else
+ echo "mmapstress01 failed"
+ echo $PASS
+fi
+
+echo "Executing $MMAP_DIR/mmapstress/mmapstress02"
+time $MMAP_DIR/mmapstress/mmapstress02 2>>$LOG_FILE 1>>$LOG_FILE
+
+if [ $? -eq 0 ]; then
+ let PASS=$PASS+1
+ echo $PASS
+else
+ echo "mmapstress02 failed"
+ echo $PASS
+fi
+
+echo "Executing $MMAP_DIR/mmapstress/mmapstress03"
+time $MMAP_DIR/mmapstress/mmapstress03 2>>$LOG_FILE 1>>$LOG_FILE
+
+if [ $? -eq 0 ]; then
+ let PASS=$PASS+1
+ echo $PASS
+else
+ echo "mmapstress03 failed"
+ echo $PASS
+fi
+
+echo "Executing $MMAP_DIR/mmapstress/mmapstress04"
+echo "Creating the file needed to be tested by mmapstress03"
+touch mmap_file
+time $MMAP_DIR/mmapstress/mmapstress04 mmap_file 0 2>>$LOG_FILE 1>>$LOG_FILE
+
+if [ $? -eq 0 ]; then
+ let PASS=$PASS+1
+ rm mmap_file
+ echo $PASS
+else
+ echo "mmapstress04 failed"
+ rm mmap_file
+ echo $PASS
+fi
+
+echo "Executing $MMAP_DIR/mmapstress/mmapstress05"
+time $MMAP_DIR/mmapstress/mmapstress05 2>>$LOG_FILE 1>>$LOG_FILE
+
+if [ $? -eq 0 ]; then
+ let PASS=$PASS+1
+ echo $PASS
+else
+ echo "mmapstress05 failed"
+ echo $PASS
+fi
+
+echo "Executing $MMAP_DIR/mmapstress/mmapstress06"
+time $MMAP_DIR/mmapstress/mmapstress06 $MMAP_SLEEP_TIME 2>>$LOG_FILE 1>>$LOG_FILE
+if [ $? -eq 0 ]; then
+ let PASS=$PASS+1
+ echo $PASS
+else
+ echo "mmapstress06 failed"
+ echo $PASS
+fi
+
+#not working below
+echo "Executing $MMAP_DIR/mmapstress/mmapstress02"
+time $MMAP_DIR/mmapstress/mmapstress02 2>>$LOG_FILE 1>>$LOG_FILE
+
+if [ $? -eq 0 ]; then
+ let PASS=$PASS+1
+ echo $PASS
+else
+ echo "mmapstress02 failed"
+ echo $PASS
+fi \ No newline at end of file